package soccerTeamExample_tableVersion;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;

public class SoccerExampleDriver {
	
    public static void main(String[] args) {
        //Schedule a job for the event-dispatching thread:
        //creating and showing this application's GUI.
        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                createAndShowGUI();
            }
        });
    }

    /**
     * Create the GUI and show it.  For thread safety,
     * this method should be invoked from the
     * event-dispatching thread.
     */
    private static void createAndShowGUI() {
    	JFrame f = new JFrame("");
		f.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});
        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		TeamMemberModel model = new TeamMemberModel();
		TeamMemberView view = new TeamMemberView(model);
		
		f.add(view, BorderLayout.CENTER);
		new SoccerAppController(view, model);
		f.pack();
		f.setVisible(true);
    }



}
